<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: properties
         */
        Schema::create('properties', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->integer('category_id')->nullable();
            $table->string('code', 255)->nullable();
            $table->string('title', 100)->nullable();
            $table->string('slug', 100)->nullable();
            $table->text('description')->nullable();
            $table->enum('status', ['Published','Pending','Draft'])->nullable();
            $table->enum('published', ['Yes','No'])->nullable();
            $table->integer('year')->nullable();
            $table->enum('property_for', ['Rent','Sale'])->nullable();
            $table->enum('label', ['Hot Deal','Open House'])->nullable();
            $table->integer('price')->nullable();
            $table->string('amount', 255)->nullable();
            $table->enum('pay_frequency', ['Monthly','Yearly'])->nullable();
            $table->text('images')->nullable();
            $table->string('video', 255)->nullable();
            $table->string('upload_folder', 250)->nullable();
            $table->increments('area')->nullable();
            $table->integer('size_prefix')->nullable();
            $table->increments('land_area')->nullable();
            $table->integer('land_area_size_prefix')->nullable();
            $table->enum('area_type', ['CEN','ACR','Sq ft'])->nullable();
            $table->string('owner_type', 255)->nullable();
            $table->integer('bedrooms')->nullable();
            $table->integer('bathrooms')->nullable();
            $table->integer('garages')->nullable();
            $table->float('garage_size')->nullable();
            $table->string('water_source', 255)->nullable();
            $table->string('furnishing', 255)->nullable();
            $table->integer('no_balcony')->nullable();
            $table->text('address')->nullable();
            $table->string('neighbourhood', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->string('locality', 255)->nullable();
            $table->text('features')->nullable();
            $table->tinyInteger('slider')->nullable();
            $table->tinyInteger('featured')->nullable();
            $table->tinyInteger('premium')->nullable();
            $table->string('latitude', 25)->nullable();
            $table->string('longitude', 25)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('properties');
    }
}
