<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in property package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in property package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Property',
    'names'         => 'Properties',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Properties',
        'sub'   => 'Properties',
        'list'  => 'List of properties',
        'edit'  => 'Edit property',
        'create'    => 'Create new property'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Published','Pending','Draft'],
            'published'           => ['Yes','No'],
            'property_for'        => ['Rent','Sale'],
            'label'               => ['Hot Deal','Open House'],
            'pay_frequency'       => ['Monthly','Yearly'],
            'area_type'           => ['CEN','ACR','Sq ft'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'category_id'                => 'Please enter category',
        'code'                       => 'Please enter code',
        'title'                      => 'Please enter title',
        'slug'                       => 'Please enter slug',
        'description'                => 'Please enter description',
        'status'                     => 'Please select status',
        'published'                  => 'Please select published',
        'year'                       => 'Please select year',
        'property_for'               => 'Please select property for',
        'label'                      => 'Please select label',
        'price'                      => 'Please enter price',
        'amount'                     => 'Please enter amount',
        'pay_frequency'              => 'Please select pay frequency',
        'images'                     => 'Please enter images',
        'video'                      => 'Please enter video',
        'upload_folder'              => 'Please enter upload folder',
        'area'                       => 'Please enter area',
        'size_prefix'                => 'Please enter size prefix',
        'land_area'                  => 'Please enter land area',
        'land_area_size_prefix'        => 'Please enter land area size prefix',
        'area_type'                  => 'Please select area type',
        'owner_type'                 => 'Please enter owner type',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'garages'                    => 'Please enter garages',
        'garage_size'                => 'Please enter garage size',
        'water_source'               => 'Please enter water source',
        'furnishing'                 => 'Please enter furnishing',
        'no_balcony'                 => 'Please enter no balcony',
        'address'                    => 'Please enter address',
        'neighbourhood'              => 'Please enter neighbourhood',
        'zip_code'                   => 'Please enter zip code',
        'country_id'                 => 'Please enter country',
        'state_id'                   => 'Please enter state',
        'district_id'                => 'Please enter district id',
        'city_id'                    => 'Please enter city id',
        'locality'                   => 'Please enter locality',
        'features'                   => 'Please enter features',
        'slider'                     => 'Please enter slider',
        'featured'                   => 'Please enter featured',
        'premium'                    => 'Please enter premium',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'deleted_at'                 => 'Please select deleted',
        'created_at'                 => 'Please select created',
        'updated_at'                 => 'Please select updated',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'category_id'                => 'Category',
        'code'                       => 'Code',
        'title'                      => 'Title',
        'slug'                       => 'Slug',
        'description'                => 'Description',
        'status'                     => 'Status',
        'published'                  => 'Published',
        'year'                       => 'Year',
        'property_for'               => 'Property for',
        'label'                      => 'Label',
        'price'                      => 'Price',
        'amount'                     => 'Amount',
        'pay_frequency'              => 'Pay frequency',
        'images'                     => 'Images',
        'video'                      => 'Video',
        'upload_folder'              => 'Upload folder',
        'area'                       => 'Area',
        'size_prefix'                => 'Size prefix',
        'land_area'                  => 'Land area',
        'land_area_size_prefix'        => 'Land area size prefix',
        'area_type'                  => 'Area type',
        'owner_type'                 => 'Owner type',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'garages'                    => 'Garages',
        'garage_size'                => 'Garage size',
        'water_source'               => 'Water source',
        'furnishing'                 => 'Furnishing',
        'no_balcony'                 => 'No balcony',
        'address'                    => 'Address',
        'neighbourhood'              => 'Neighbourhood',
        'zip_code'                   => 'Zip code',
        'country_id'                 => 'Country',
        'state_id'                   => 'State',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'locality'                   => 'Locality',
        'features'                   => 'Features',
        'slider'                     => 'Slider',
        'featured'                   => 'Featured',
        'premium'                    => 'Premium',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'deleted_at'                 => 'Deleted',
        'created_at'                 => 'Created',
        'updated_at'                 => 'Updated',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'category_id'                => ['name' => 'Category', 'data-column' => 1, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 2, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 3, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 4, 'checked'],
        'published'                  => ['name' => 'Published', 'data-column' => 5, 'checked'],
        'year'                       => ['name' => 'Year', 'data-column' => 6, 'checked'],
        'property_for'               => ['name' => 'Property for', 'data-column' => 7, 'checked'],
        'label'                      => ['name' => 'Label', 'data-column' => 8, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 9, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 10, 'checked'],
        'pay_frequency'              => ['name' => 'Pay frequency', 'data-column' => 11, 'checked'],
        'area'                       => ['name' => 'Area', 'data-column' => 12, 'checked'],
        'bedrooms'                   => ['name' => 'Bedrooms', 'data-column' => 13, 'checked'],
        'bathrooms'                  => ['name' => 'Bathrooms', 'data-column' => 14, 'checked'],
        'furnishing'                 => ['name' => 'Furnishing', 'data-column' => 15, 'checked'],
        'country_id'                 => ['name' => 'Country', 'data-column' => 16, 'checked'],
        'state_id'                   => ['name' => 'State', 'data-column' => 17, 'checked'],
        'district_id'                => ['name' => 'District id', 'data-column' => 18, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 19, 'checked'],
        'locality'                   => ['name' => 'Locality', 'data-column' => 20, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Properties',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
