<?php

namespace Realestate\Property;

use User;

class Property
{
    /**
     * $category object.
     */
    protected $category;
    /**
     * $property object.
     */
    protected $property;

    /**
     * Constructor.
     */
    public function __construct(\Realestate\Property\Interfaces\CategoryRepositoryInterface $category,
        \Realestate\Property\Interfaces\PropertyRepositoryInterface $property)
    {
        $this->category = $category;
        $this->property = $property;
    }

    /**
     * Returns count of property.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Realestate\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('property::' . $view, compact('category'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.property.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->property->pushCriteria(new \Litepie\Realestate\Repositories\Criteria\PropertyUserCriteria());
        }

        $property = $this->property->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('property::' . $view, compact('property'))->render();
    }
}
