<?php

namespace Realestate\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Property\Models\Property $property)
    {
        return [
            'id'                => $property->getRouteKey(),
            'key'               => [
                'public'    => $property->getPublicKey(),
                'route'     => $property->getRouteKey(),
            ], 
            'id'                => $property->id,
            'user_id'           => $property->user_id,
            'user_type'         => $property->user_type,
            'category_id'       => $property->category_id,
            'code'              => $property->code,
            'title'             => $property->title,
            'slug'              => $property->slug,
            'description'       => $property->description,
            'status'            => $property->status,
            'published'         => $property->published,
            'year'              => $property->year,
            'property_for'      => $property->property_for,
            'label'             => $property->label,
            'price'             => $property->price,
            'amount'            => $property->amount,
            'pay_frequency'     => $property->pay_frequency,
            'images'            => $property->images,
            'video'             => $property->video,
            'upload_folder'     => $property->upload_folder,
            'area'              => $property->area,
            'size_prefix'       => $property->size_prefix,
            'land_area'         => $property->land_area,
            'land_area_size_prefix' => $property->land_area_size_prefix,
            'area_type'         => $property->area_type,
            'owner_type'        => $property->owner_type,
            'bedrooms'          => $property->bedrooms,
            'bathrooms'         => $property->bathrooms,
            'garages'           => $property->garages,
            'garage_size'       => $property->garage_size,
            'water_source'      => $property->water_source,
            'furnishing'        => $property->furnishing,
            'no_balcony'        => $property->no_balcony,
            'address'           => $property->address,
            'neighbourhood'     => $property->neighbourhood,
            'zip_code'          => $property->zip_code,
            'country_id'        => $property->country_id,
            'state_id'          => $property->state_id,
            'district_id'       => $property->district_id,
            'city_id'           => $property->city_id,
            'locality'          => $property->locality,
            'features'          => $property->features,
            'slider'            => $property->slider,
            'featured'          => $property->featured,
            'premium'           => $property->premium,
            'latitude'          => $property->latitude,
            'longitude'         => $property->longitude,
            'deleted_at'        => $property->deleted_at,
            'created_at'        => $property->created_at,
            'updated_at'        => $property->updated_at,
            'url'               => [
                'public'    => trans_url('property/'.$property->getPublicKey()),
                'user'      => guard_url('property/property/'.$property->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property->status),
            'created_at'        => format_date($property->created_at),
            'updated_at'        => format_date($property->updated_at),
        ];
    }
}